diff -upr ioquake3svn1438/code/cgame/cg_event.c ioquake3serverFix/code/cgame/cg_event.c
--- ioquake3svn1438/code/cgame/cg_event.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_event.c	2008-08-09 11:28:23.000000000 -0500
@@ -25,7 +25,7 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #include "cg_local.h"
 
 // for the voice chats
-#ifdef MISSIONPACK // bk001205
+#ifdef MISSIONPACK
 #include "../../ui/menudef.h"
 #endif
 //==========================================================================
@@ -118,38 +118,35 @@ static void CG_Obituary( entityState_t *
 
 	// check for single client messages
 
-        if(attacker != ENTITYNUM_WORLD)
-            message = NULL;
-        else
-            switch( mod ) {
-            case MOD_SUICIDE:
-                    message = "suicides";
-                    break;
-            case MOD_FALLING:
-                    message = "cratered";
-                    break;
-            case MOD_CRUSH:
-                    message = "was squished";
-                    break;
-            case MOD_WATER:
-                    message = "sank like a rock";
-                    break;
-            case MOD_SLIME:
-                    message = "melted";
-                    break;
-            case MOD_LAVA:
-                    message = "does a back flip into the lava";
-                    break;
-            case MOD_TARGET_LASER:
-                    message = "saw the light";
-                    break;
-            case MOD_TRIGGER_HURT:
-                    message = "was in the wrong place";
-                    break;
-            default:
-                    message = NULL;
-                    break;
-            }
+	switch( mod ) {
+	case MOD_SUICIDE:
+		message = "suicides";
+		break;
+	case MOD_FALLING:
+		message = "cratered";
+		break;
+	case MOD_CRUSH:
+		message = "was squished";
+		break;
+	case MOD_WATER:
+		message = "sank like a rock";
+		break;
+	case MOD_SLIME:
+		message = "melted";
+		break;
+	case MOD_LAVA:
+		message = "does a back flip into the lava";
+		break;
+	case MOD_TARGET_LASER:
+		message = "saw the light";
+		break;
+	case MOD_TRIGGER_HURT:
+		message = "was in the wrong place";
+		break;
+	default:
+		message = NULL;
+		break;
+	}
 
 	if (attacker == target) {
 		gender = ci->gender;
@@ -212,7 +209,6 @@ static void CG_Obituary( entityState_t *
 		CG_Printf( "%s %s.\n", targetName, message);
 		return;
 	}
-        
 
 	// check for kill messages from the current clientNum
 	if ( attacker == cg.snap->ps.clientNum ) {
@@ -298,7 +294,7 @@ static void CG_Obituary( entityState_t *
 			message = "was blasted by";
 			message2 = "'s BFG";
 			break;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		case MOD_NAIL:
 			message = "was nailed by";
 			break;
@@ -310,7 +306,6 @@ static void CG_Obituary( entityState_t *
 			message = "was too close to";
 			message2 = "'s Prox Mine";
 			break;
-#ifdef MISSIONPACK
 		case MOD_KAMIKAZE:
 			message = "falls to";
 			message2 = "'s Kamikaze blast";
@@ -323,18 +318,6 @@ static void CG_Obituary( entityState_t *
 			message = "tried to invade";
 			message2 = "'s personal space";
 			break;
-                case MOD_LAVA:
-                        message = "was given a hot bath by";
-                        break;
-                case MOD_SLIME:
-                        message = "was given a acid bath by";
-                        break;
-                case MOD_FALLING:
-                        message = "was given a small push by";
-                        break;
-                case MOD_TRIGGER_HURT:
-                        message = "was helped on the way by";
-                        break;
 		default:
 			message = "was killed by";
 			break;
@@ -870,7 +853,7 @@ void CG_EntityEvent( centity_t *cent, ve
 		}
 		break;
 
-
+#ifdef MISSIONPACK
 	case EV_PROXIMITY_MINE_STICK:
 		DEBUGNAME("EV_PROXIMITY_MINE_STICK");
 		if( es->eventParm & SURF_FLESH ) {
@@ -902,8 +885,7 @@ void CG_EntityEvent( centity_t *cent, ve
 		DEBUGNAME("EV_INVUL_IMPACT");
 		CG_InvulnerabilityImpact( cent->lerpOrigin, cent->currentState.angles );
 		break;
-#ifdef MISSIONPACK
-        case EV_JUICED:
+	case EV_JUICED:
 		DEBUGNAME("EV_JUICED");
 		CG_InvulnerabilityJuiced( cent->lerpOrigin );
 		break;
@@ -941,77 +923,28 @@ void CG_EntityEvent( centity_t *cent, ve
 	case EV_RAILTRAIL:
 		DEBUGNAME("EV_RAILTRAIL");
 		cent->currentState.weapon = WP_RAILGUN;
-//unlagged - attack prediction #2
-		// if the client is us, unlagged is on server-side, and we've got it client-side
-		if ( es->clientNum == cg.predictedPlayerState.clientNum && 
-				cgs.delagHitscan && (cg_delag.integer & 1 || cg_delag.integer & 16) ) {
-			// do nothing, because it was already predicted
-			//Com_Printf("Ignoring rail trail event\n");
-		}
-		else {
-			// draw a rail trail, because it wasn't predicted
-			CG_RailTrail( ci, es->origin2, es->pos.trBase );
-
-			// if the end was on a nomark surface, don't make an explosion
-			if ( es->eventParm != 255 ) {
-				ByteToDir( es->eventParm, dir );
-				CG_MissileHitWall( es->weapon, es->clientNum, position, dir, IMPACTSOUND_DEFAULT );
-			}
-			//Com_Printf("Non-predicted rail trail\n");
+		// if the end was on a nomark surface, don't make an explosion
+		CG_RailTrail( ci, es->origin2, es->pos.trBase );
+		if ( es->eventParm != 255 ) {
+			ByteToDir( es->eventParm, dir );
+			CG_MissileHitWall( es->weapon, es->clientNum, position, dir, IMPACTSOUND_DEFAULT );
 		}
-//unlagged - attack prediction #2
 		break;
 
 	case EV_BULLET_HIT_WALL:
 		DEBUGNAME("EV_BULLET_HIT_WALL");
-//unlagged - attack prediction #2
-		// if the client is us, unlagged is on server-side, and we've got it client-side
-		if ( es->clientNum == cg.predictedPlayerState.clientNum && 
-				cgs.delagHitscan && (cg_delag.integer & 1 || cg_delag.integer & 2) ) {
-			// do nothing, because it was already predicted
-			//Com_Printf("Ignoring bullet event\n");
-		}
-		else {
-			// do the bullet, because it wasn't predicted
-			ByteToDir( es->eventParm, dir );
-			CG_Bullet( es->pos.trBase, es->otherEntityNum, dir, qfalse, ENTITYNUM_WORLD );
-			//Com_Printf("Non-predicted bullet\n");
-		}
-//unlagged - attack prediction #2
+		ByteToDir( es->eventParm, dir );
+		CG_Bullet( es->pos.trBase, es->otherEntityNum, dir, qfalse, ENTITYNUM_WORLD );
 		break;
 
 	case EV_BULLET_HIT_FLESH:
 		DEBUGNAME("EV_BULLET_HIT_FLESH");
-//unlagged - attack prediction #2
-		// if the client is us, unlagged is on server-side, and we've got it client-side
-		if ( es->clientNum == cg.predictedPlayerState.clientNum && 
-				cgs.delagHitscan && (cg_delag.integer & 1 || cg_delag.integer & 2) ) {
-			// do nothing, because it was already predicted
-			//Com_Printf("Ignoring bullet event\n");
-		}
-		else {
-			// do the bullet, because it wasn't predicted
-			CG_Bullet( es->pos.trBase, es->otherEntityNum, dir, qtrue, es->eventParm );
-			//Com_Printf("Non-predicted bullet\n");
-		}
-//unlagged - attack prediction #2
+		CG_Bullet( es->pos.trBase, es->otherEntityNum, dir, qtrue, es->eventParm );
 		break;
 
 	case EV_SHOTGUN:
 		DEBUGNAME("EV_SHOTGUN");
-//unlagged - attack prediction #2
-		// if the client is us, unlagged is on server-side, and we've got it client-side
-		if ( es->otherEntityNum == cg.predictedPlayerState.clientNum && 
-				cgs.delagHitscan && (cg_delag.integer & 1 || cg_delag.integer & 4) ) {
-			// do nothing, because it was already predicted
-			//Com_Printf("Ignoring shotgun event\n");
-		}
-		else {
-			// do the shotgun pattern, because it wasn't predicted
-			CG_ShotgunFire( es );
-			//Com_Printf("Non-predicted shotgun pattern\n");
-		}
-//unlagged - attack prediction #2
+		CG_ShotgunFire( es );
 		break;
 
 	case EV_GENERAL_SOUND:
@@ -1073,19 +1006,19 @@ void CG_EntityEvent( centity_t *cent, ve
 					}
 					else {
 					if (cgs.clientinfo[cg.clientNum].team == TEAM_BLUE) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 							if (cgs.gametype == GT_1FCTF) 
 								CG_AddBufferedSound( cgs.media.yourTeamTookTheFlagSound );
 							else
-//#endif
+#endif
 						 	CG_AddBufferedSound( cgs.media.enemyTookYourFlagSound );
 						}
 						else if (cgs.clientinfo[cg.clientNum].team == TEAM_RED) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 							if (cgs.gametype == GT_1FCTF)
 								CG_AddBufferedSound( cgs.media.enemyTookTheFlagSound );
 							else
-//#endif
+#endif
  							CG_AddBufferedSound( cgs.media.yourTeamTookEnemyFlagSound );
 						}
 					}
@@ -1096,19 +1029,19 @@ void CG_EntityEvent( centity_t *cent, ve
 					}
 					else {
 						if (cgs.clientinfo[cg.clientNum].team == TEAM_RED) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 							if (cgs.gametype == GT_1FCTF)
 								CG_AddBufferedSound( cgs.media.yourTeamTookTheFlagSound );
 							else
-//#endif
+#endif
 							CG_AddBufferedSound( cgs.media.enemyTookYourFlagSound );
 						}
 						else if (cgs.clientinfo[cg.clientNum].team == TEAM_BLUE) {
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 							if (cgs.gametype == GT_1FCTF)
 								CG_AddBufferedSound( cgs.media.enemyTookTheFlagSound );
 							else
-//#endif
+#endif
 							CG_AddBufferedSound( cgs.media.yourTeamTookEnemyFlagSound );
 						}
 					}
diff -upr ioquake3svn1438/code/cgame/cg_info.c ioquake3serverFix/code/cgame/cg_info.c
--- ioquake3svn1438/code/cgame/cg_info.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_info.c	2008-08-09 11:28:23.000000000 -0500
@@ -250,7 +250,7 @@ void CG_DrawInformation( void ) {
 	case GT_CTF:
 		s = "Capture The Flag";
 		break;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	case GT_1FCTF:
 		s = "One Flag CTF";
 		break;
@@ -260,19 +260,7 @@ void CG_DrawInformation( void ) {
 	case GT_HARVESTER:
 		s = "Harvester";
 		break;
-//#endif
-	case GT_ELIMINATION:
-		s = "Elimination";
-		break;
-	case GT_CTF_ELIMINATION:
-		s = " CTF Elimination";
-		break;
-	case GT_LMS:
-		s = "Last Man Standing";
-		break;
-	case GT_DOUBLE_D:
-		s = "Double Domination";
-		break;
+#endif
 	default:
 		s = "Unknown Gametype";
 		break;
@@ -288,7 +276,7 @@ void CG_DrawInformation( void ) {
 		y += PROP_HEIGHT;
 	}
 
-	if (cgs.gametype < GT_CTF || cgs.ffa_gt>0) {
+	if (cgs.gametype < GT_CTF ) {
 		value = atoi( Info_ValueForKey( info, "fraglimit" ) );
 		if ( value ) {
 			UI_DrawProportionalString( 320, y, va( "fraglimit %i", value ),
@@ -297,7 +285,7 @@ void CG_DrawInformation( void ) {
 		}
 	}
 
-	if (cgs.gametype >= GT_CTF && cgs.ffa_gt == 0) {
+	if (cgs.gametype >= GT_CTF) {
 		value = atoi( Info_ValueForKey( info, "capturelimit" ) );
 		if ( value ) {
 			UI_DrawProportionalString( 320, y, va( "capturelimit %i", value ),
diff -upr ioquake3svn1438/code/cgame/cg_localents.c ioquake3serverFix/code/cgame/cg_localents.c
--- ioquake3svn1438/code/cgame/cg_localents.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_localents.c	2008-08-09 11:28:23.000000000 -0500
@@ -536,7 +536,7 @@ static void CG_AddSpriteExplosion( local
 }
 
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 /*
 ====================
 CG_AddKamikaze
@@ -710,7 +710,7 @@ void CG_AddRefEntity( localEntity_t *le 
 	trap_R_AddRefEntityToScene( &le->refEntity );
 }
 
-//#endif
+#endif
 /*
 ===================
 CG_AddScorePlum
@@ -863,7 +863,7 @@ void CG_AddLocalEntities( void ) {
 			CG_AddScorePlum( le );
 			break;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 		case LE_KAMIKAZE:
 			CG_AddKamikaze( le );
 			break;
@@ -876,7 +876,7 @@ void CG_AddLocalEntities( void ) {
 		case LE_SHOWREFENTITY:
 			CG_AddRefEntity( le );
 			break;
-//#endif
+#endif
 		}
 	}
 }
diff -upr ioquake3svn1438/code/cgame/cg_local.h ioquake3serverFix/code/cgame/cg_local.h
--- ioquake3svn1438/code/cgame/cg_local.h	2008-08-06 12:26:21.000000000 -0500
+++ ioquake3serverFix/code/cgame/cg_local.h	2008-08-09 11:28:23.000000000 -0500
@@ -78,15 +78,15 @@ Foundation, Inc., 51 Franklin St, Fifth 
 #define	GIANT_WIDTH			32
 #define	GIANT_HEIGHT		48
 
-#define	NUM_CROSSHAIRS		99
+#define	NUM_CROSSHAIRS		10
 
 #define TEAM_OVERLAY_MAXNAME_WIDTH	12
 #define TEAM_OVERLAY_MAXLOCATION_WIDTH	16
 
 #define	DEFAULT_MODEL			"sarge"
 #ifdef MISSIONPACK
-#define	DEFAULT_TEAM_MODEL		"sarge"
-#define	DEFAULT_TEAM_HEAD		"*sarge"
+#define	DEFAULT_TEAM_MODEL		"james"
+#define	DEFAULT_TEAM_HEAD		"*james"
 #else
 #define	DEFAULT_TEAM_MODEL		"sarge"
 #define	DEFAULT_TEAM_HEAD		"sarge"
@@ -226,12 +226,12 @@ typedef enum {
 	LE_FADE_RGB,
 	LE_SCALE_FADE,
 	LE_SCOREPLUM,
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	LE_KAMIKAZE,
 	LE_INVULIMPACT,
 	LE_INVULJUICED,
 	LE_SHOWREFENTITY
-//#endif
+#endif
 } leType_t;
 
 typedef enum {
@@ -301,7 +301,6 @@ typedef struct {
 	int				captures;
 	qboolean	perfect;
 	int				team;
-	int			isDead;
 } score_t;
 
 // each client has an associated clientInfo_t
@@ -375,8 +374,6 @@ typedef struct {
 	animation_t		animations[MAX_TOTALANIMATIONS];
 
 	sfxHandle_t		sounds[MAX_CUSTOM_SOUNDS];
-
-	int		isDead;
 } clientInfo_t;
 
 
@@ -453,10 +450,6 @@ typedef struct {
 // occurs, and they will have visible effects for #define STEP_TIME or whatever msec after
 
 #define MAX_PREDICTED_EVENTS	16
-
-//unlagged - optimized prediction
-#define NUM_SAVED_STATES (CMD_BACKUP + 2)
-//unlagged - optimized prediction
  
 typedef struct {
 	int			clientFrame;		// incremented each frame
@@ -652,13 +645,6 @@ typedef struct {
 	char			testModelName[MAX_QPATH];
 	qboolean		testGun;
 
-//unlagged - optimized prediction
-	int			lastPredictedCommand;
-	int			lastServerTime;
-	playerState_t savedPmoveStates[NUM_SAVED_STATES];
-	int			stateHead, stateTail;
-//unlagged - optimized prediction
-
 } cg_t;
 
 
@@ -684,12 +670,6 @@ typedef struct {
 	qhandle_t	blueFlagShader[3];
 	qhandle_t	flagShader[4];
 
-//For Double Domination:
-	//qhandle_t	ddPointA;
-	//qhandle_t	ddPointB;
-	qhandle_t	ddPointSkinA[4]; //white,red,blue,none
-        qhandle_t	ddPointSkinB[4]; //white,red,blue,none
-
 	qhandle_t	flagPoleModel;
 	qhandle_t	flagFlapModel;
 
@@ -701,7 +681,7 @@ typedef struct {
 	qhandle_t	blueFlagBaseModel;
 	qhandle_t	neutralFlagBaseModel;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	qhandle_t	overloadBaseModel;
 	qhandle_t	overloadTargetModel;
 	qhandle_t	overloadLightsModel;
@@ -711,7 +691,7 @@ typedef struct {
 	qhandle_t	harvesterRedSkin;
 	qhandle_t	harvesterBlueSkin;
 	qhandle_t	harvesterNeutralModel;
-//#endif
+#endif
 
 	qhandle_t	armorModel;
 	qhandle_t	armorIcon;
@@ -761,10 +741,10 @@ typedef struct {
 	qhandle_t	plasmaBallShader;
 	qhandle_t	waterBubbleShader;
 	qhandle_t	bloodTrailShader;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	qhandle_t	nailPuffShader;
 	qhandle_t	blueProxMine;
-//#endif
+#endif
 
 	qhandle_t	numberShaders[11];
 
@@ -810,7 +790,7 @@ typedef struct {
 	// special effects models
 	qhandle_t	teleportEffectModel;
 	qhandle_t	teleportEffectShader;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	qhandle_t	kamikazeEffectModel;
 	qhandle_t	kamikazeShockWave;
 	qhandle_t	kamikazeHeadModel;
@@ -824,7 +804,7 @@ typedef struct {
 	qhandle_t	medkitUsageModel;
 	qhandle_t	dustPuffShader;
 	qhandle_t	heartShader;
-//#endif
+#endif
 	qhandle_t	invulnerabilityPowerupModel;
 
 	// scoreboard headers
@@ -857,7 +837,7 @@ typedef struct {
 	sfxHandle_t	sfx_railg;
 	sfxHandle_t	sfx_rockexp;
 	sfxHandle_t	sfx_plasmaexp;
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	sfxHandle_t	sfx_proxexp;
 	sfxHandle_t	sfx_nghit;
 	sfxHandle_t	sfx_nghitflesh;
@@ -880,7 +860,7 @@ typedef struct {
 	sfxHandle_t	winnerSound;
 	sfxHandle_t	loserSound;
 	sfxHandle_t	youSuckSound;
-//#endif
+#endif
 	sfxHandle_t	gibSound;
 	sfxHandle_t	gibBounce1Sound;
 	sfxHandle_t	gibBounce2Sound;
@@ -966,7 +946,7 @@ typedef struct {
 	sfxHandle_t	countFightSound;
 	sfxHandle_t	countPrepareSound;
 
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 	// new stuff
 	qhandle_t patrolShader;
 	qhandle_t assaultShader;
@@ -983,7 +963,7 @@ typedef struct {
 	sfxHandle_t doublerSound;
 	sfxHandle_t guardSound;
 	sfxHandle_t scoutSound;
-//#endif
+#endif
 	qhandle_t cursor;
 	qhandle_t selectCursor;
 	qhandle_t sizeCursor;
@@ -1043,35 +1023,6 @@ typedef struct {
 
 	int				levelStartTime;
 
-//Forced FFA
-	int			ffa_gt;
-
-//Elimination
-	int				roundStartTime;	
-	int				roundtime;
-
-//CTF Elimination
-	qboolean			oneway;
-	int				attackingTeam;
-
-//Last Man Standing
-	int				lms_mode;
-
-//instantgib:
-	int				instantgib;
-
-//nexuiz style rocket arena
-	int				rockets;
-
-//Double Domination DD
-	int 				timetaken;
-
-//Domination
-	int domination_points_count;
-	char domination_points_names[MAX_DOMINATION_POINTS][MAX_DOMINATION_POINTS_NAMES];
-	int domination_points_status[MAX_DOMINATION_POINTS];
-
-
 	int				scores1, scores2;		// from configstrings
 	int				redflag, blueflag;		// flag status from configstrings
 	int				flagStatus;
@@ -1117,10 +1068,6 @@ typedef struct {
 	// media
 	cgMedia_t		media;
 
-//unlagged - client options
-	// this will be set to the server's g_delagHitscan
-	int				delagHitscan;
-//unlagged - client options
 } cgs_t;
 
 //==============================================================================
@@ -1189,7 +1136,6 @@ extern	vmCvar_t		cg_thirdPersonAngle;
 extern	vmCvar_t		cg_thirdPerson;
 extern	vmCvar_t		cg_lagometer;
 extern	vmCvar_t		cg_drawAttacker;
-extern	vmCvar_t		cg_drawSpeed;
 extern	vmCvar_t		cg_synchronousClients;
 extern	vmCvar_t		cg_teamChatTime;
 extern	vmCvar_t		cg_teamChatHeight;
@@ -1205,10 +1151,7 @@ extern	vmCvar_t		cg_teamChatsOnly;
 extern	vmCvar_t		cg_noVoiceChats;
 extern	vmCvar_t		cg_noVoiceText;
 extern  vmCvar_t		cg_scorePlum;
-//unlagged - smooth clients #2
-// this is done server-side now
-//extern	vmCvar_t		cg_smoothClients;
-//unlagged - smooth clients #2
+extern	vmCvar_t		cg_smoothClients;
 extern	vmCvar_t		pmove_fixed;
 extern	vmCvar_t		pmove_msec;
 //extern	vmCvar_t		cg_pmove_fixed;
@@ -1226,7 +1169,6 @@ extern	vmCvar_t		cg_oldRail;
 extern	vmCvar_t		cg_oldRocket;
 extern	vmCvar_t		cg_oldPlasma;
 extern	vmCvar_t		cg_trueLightning;
-extern	vmCvar_t		cg_music;
 #ifdef MISSIONPACK
 extern	vmCvar_t		cg_redTeamName;
 extern	vmCvar_t		cg_blueTeamName;
@@ -1238,33 +1180,8 @@ extern	vmCvar_t		cg_enableBreath;
 extern	vmCvar_t		cg_singlePlayerActive;
 extern  vmCvar_t		cg_recordSPDemo;
 extern  vmCvar_t		cg_recordSPDemoName;
-#endif
-//Sago: Moved outside
 extern	vmCvar_t		cg_obeliskRespawnDelay;
-
-
-//unlagged - client options
-extern	vmCvar_t		cg_delag;
-//extern	vmCvar_t		cg_debugDelag;
-//extern	vmCvar_t		cg_drawBBox;
-extern	vmCvar_t		cg_cmdTimeNudge;
-extern	vmCvar_t		sv_fps;
-extern	vmCvar_t		cg_projectileNudge;
-extern	vmCvar_t		cg_optimizePrediction;
-extern	vmCvar_t		cl_timeNudge;
-//extern	vmCvar_t		cg_latentSnaps;
-//extern	vmCvar_t		cg_latentCmds;
-//extern	vmCvar_t		cg_plOut;
-//unlagged - client options
-
-//extra CVARS elimination
-extern	vmCvar_t		cg_alwaysWeaponBar;
-
-//unlagged - cg_unlagged.c
-void CG_PredictWeaponEffects( centity_t *cent );
-//void CG_AddBoundingBox( centity_t *cent );
-qboolean CG_Cvar_ClampInt( const char *name, vmCvar_t *vmCvar, int min, int max );
-//unlagged - cg_unlagged.c
+#endif
 
 //
 // cg_main.c
@@ -1290,9 +1207,6 @@ void CG_SetScoreSelection(void *menu);
 score_t *CG_GetSelectedScore( void );
 void CG_BuildSpectatorString( void );
 
-//unlagged, sagos modfication
-void SnapVectorTowards( vec3_t v, vec3_t to );
-
 
 //
 // cg_view.c
@@ -1484,14 +1398,14 @@ localEntity_t *CG_SmokePuff( const vec3_
 				   qhandle_t hShader );
 void CG_BubbleTrail( vec3_t start, vec3_t end, float spacing );
 void CG_SpawnEffect( vec3_t org );
-//#ifdef MISSIONPACK
+#ifdef MISSIONPACK
 void CG_KamikazeEffect( vec3_t org );
 void CG_ObeliskExplode( vec3_t org, int entityNum );
 void CG_ObeliskPain( vec3_t org );
 void CG_InvulnerabilityImpact( vec3_t org, vec3_t angles );
 void CG_InvulnerabilityJuiced( vec3_t org );
 void CG_LightningBoltBeam( vec3_t start, vec3_t end );
-//#endif
+#endif
 void CG_ScorePlum( int client, vec3_t org, int score );
 
 void CG_GibPlayer( vec3_t playerOrigin );
@@ -1507,9 +1421,6 @@ localEntity_t *CG_MakeExplosion( vec3_t 
 // cg_snapshot.c
 //
 void CG_ProcessSnapshots( void );
-//unlagged - early transitioning
-void CG_TransitionEntity( centity_t *cent );
-//unlagged - early transitioning
 
 //
 // cg_info.c
@@ -1723,7 +1634,7 @@ typedef enum {
   SYSTEM_PRINT,
   CHAT_PRINT,
   TEAMCHAT_PRINT
-} q3print_t; // bk001201 - warning: useless keyword or type name in empty declaration
+} q3print_t;
 
 
 int trap_CIN_PlayCinematic( const char *arg0, int xpos, int ypos, int width, int height, int bits);
Only in ioquake3svn1438/code/cgame: cg_local.h.orig
Only in ioquake3svn1438/code/cgame: cg_local.orig.h
